We are getting several computers that are giving us an error, 1603, when trying to do an install of .NET 3.0.

The issue seems to be that .NET 3.0 is trying to install .NET 2.0 (?), and, if our computers have .NET 2.0 SP1, the install fails.

Here are some log entries created by the install:

(the below came out of the dd_netfx_retMSI5FFE.txt log, which seems to be the .NET 2.0 install spawned by the .NET 3.0 install)

MSI (s) (E8:B8) [15:11:34:482]: Product: Microsoft .NET Framework 2.0 -- Setup cannot continue because this version of the .NET Framework is incompatible with a previously installed one. For more information, see http://support.microsoft.com/support/kb/articles/q312/5/00.asp

(the link refers to a KB article, that states I'm trying to install .NET 2.0 over .NET 2.0 SP1).

Then, the main .NET 3.0 install says it failed (yet, the Application event log states success):

[01/05/09,15:11:36] Microsoft .NET Framework 2.0: ***ERRORLOG EVENT*** : Error: Installation failed for component Microsoft .NET Framework 2.0. MSI returned error code 1603

[01/05/09,15:11:53] Microsoft .NET Framework 3.0: CRootComponent::Install(): MSIInstallProduct returned ERROR_SUCCESS.

Event Type: Information
Event Source: MsiInstaller
Event Category: None
Event ID: 11728
Date: 1/5/2009
Time: 3:11:52 PM
User: NT AUTHORITY\SYSTEM
Computer: ECH-LT42308
Description:
Product: Microsoft .NET Framework 3.0 -- Configuration completed successfully.
For more information, see Help and Support Center at http://go.microsoft.com/fwlink/events.asp.
Data:
0000: 7b 31 35 30 39 35 42 46 {15095BF
0008: 33 2d 41 33 44 37 2d 34 3-A3D7-4
0010: 44 44 46 2d 42 31 39 33 DDF-B193
0018: 2d 33 41 34 39 36 38 38 -3A49688
0020: 31 45 30 30 33 7d 1E003}


Soooo...I guess my question is, what can I do to avoid this. I would assume MOST installs of .NET 2.0 WOULD have SP1, so, why doesn't it just skip the install, or something.

Since this install was one of the prerequisites to a main install, the main install actually failed.

Any ideas?

Thanks!
0 Comments   [ + ] Show Comments

Comments

Please log in to comment

Rating comments in this legacy AppDeploy message board thread won't reorder them,
so that the conversation will remain readable.

Answers

0
Aaron Stebner's article http://blogs.msdn.com/astebner/archive/2006/10/30/net-framework-3-0-setup-log-files.aspx says there should be a specific log file for the 2.0 installation. Check that out first.

Also, I believe .Net 3.5 SP1 is the latest flavour. It installs 3.0 SP2 which has some adjusted logic to bypass known setup issues. Doing some research, I note that some people have had success by stopping IIS (if it's running) or by uninstalling .Net v2.x first.

EDIT:
Further research would indicate that the error you're seeing is almost certainly due to a broken .Net installation. Thus, I'd suggest using the tool here http://blogs.msdn.com/astebner/archive/2006/05/30/611355.aspxto clean up first, then re-trying.
Answered 01/06/2009 by: VBScab
Red Belt

Please log in to comment
Answer this question or Comment on this question for clarity